#808 closed defect (fixed)

printk crashes with field size smaller than value.

Reported by: Chris Johns Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: unspecified Version: 4.6
Severity: critical Keywords:
Cc: bugs@…, chrisj@… Blocked By:
Blocking:

Description

Using the pc386 the following code fails in the BSP. For example place this in bsp_pretasking_hook:

printk ("test: %5d", 12345678);

and a crash can occur yet:

printk ("test: %d", 12345678);

works.

Release:
4.6

Attachments (1)

printk.diff (643 bytes) - added by Chris Johns on Dec 3, 2006 at 1:31:13 PM.
printk.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Aug 12, 2005 at 10:58:30 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: analyzed->closed
State-Changed-Why: Patch applied to 4.6 branch and CVS head.

Changed on Dec 3, 2006 at 1:31:13 PM by Chris Johns

Attachment: printk.diff added

printk.diff

comment:2 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.